<template>
  <div>
    <section class="home_page">
      <div class="home-page__video">
        <video-background
          src="/assets/mainVideo.mp4"
          :sources="[
            ]"
          style="max-height: 100vh; height: 100%;"
          overlay="linear-gradient(45deg,#2a4ae430,#fb949e6b)"
        >

        </video-background>
      </div>

    </section>
    <div class="back-Text container">
      <div class="row">
        <div class="col-12 text">
<!--          <h1>{{ $t("home") }}</h1>-->
          <!-- <h1>Делаем жизнь наших клиентов проще</h1> -->
          <h3 >{{ $t("company_description") }}</h3>
        </div>
      </div>
    </div>
    <section class="about">
      <div class="container">
        <div class="row">
          <div class="col-12 d-flex justify-content-between">
            <div>
              <nuxt-link :to="localePath('/about-us')">
                <div v-if="$i18n.locale === 'ru'">
                  <img src="@/static/assets/images/about.svg" class="img-fluid" alt="">
                </div>
                <div v-if="$i18n.locale === 'uz'">
                  <img src="@/static/assets/images/aboutUZ.svg" class="img-fluid" alt="">
                </div>
                <div v-if="$i18n.locale === 'eng'">
                  <img src="@/static/assets/images/aboutENG.png" class="img-fluid" alt="">
                </div>
              </nuxt-link>
            </div>
            <div>
              <nuxt-link :to="localePath('/about-us')">
                <h2 class="more">
                  {{ $t("more") }}&nbsp;
                  <svg
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      d="M24.0946 16L17.6093 22.4853C17.0879 23.0067 17.0879 23.8507 17.6093 24.3707L17.7239 24.4853C18.2453 25.0067 19.0893 25.0067 19.6093 24.4853L27.1519 16.9427C27.6733 16.4213 27.6733 15.5773 27.1519 15.0573L19.6093 7.51466C19.0879 6.99332 18.2439 6.99332 17.7239 7.51466L17.6093 7.62932C17.0879 8.15066 17.0879 8.99466 17.6093 9.51466L24.0946 16Z"
                      fill="white"
                    />
                    <path
                      d="M25.3333 14.6666H5.33333C4.59733 14.6666 4 15.264 4 16C4 16.736 4.59733 17.3333 5.33333 17.3333H25.3333V14.6666Z"
                      fill="white"
                    />
                  </svg>
                </h2>
              </nuxt-link>
            </div>
          </div>
          <div class="col-12">
            <h1 class="why_us"> {{ $t("why_us") }}</h1>
          </div>
          <div class="col-12 col-md-6">
            <p class="text text-left">
              {{ $t("why_us_text") }}
            </p>
          </div>
          <div class="col-md-6 text-center">
            <img
              src="@/static/assets/images/logo_about.png"
              class="img-fluid about_logo"
              alt=""
            />
          </div>
        </div>
      </div>
      <counter/>
    </section>
    <div class="container">
      <slider-partners/>
    </div>
    <section class="portfolio">
      <div class="container">
        <div class="row">
          <div class="col-12 d-flex justify-content-between">
            <div v-if="$i18n.locale === 'ru'">
              <img src="@/static/assets/images/portfolio.svg" class="img-fluid" alt="">
            </div>
            <div v-if="$i18n.locale === 'uz'">
              <img src="@/static/assets/images/portfolioUZ.svg" class="img-fluid" alt="">
            </div>
            <div v-if="$i18n.locale === 'eng'">
              <img src="@/static/assets/images/portfolioUZ.svg" class="img-fluid" alt="">
            </div>
            <div>
              <nuxt-link :to="localePath('/portfolio')">
                <h2 class="more">
                  {{ $t("all_projects") }}&nbsp;
                  <svg
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      d="M24.0946 16L17.6093 22.4853C17.0879 23.0067 17.0879 23.8507 17.6093 24.3707L17.7239 24.4853C18.2453 25.0067 19.0893 25.0067 19.6093 24.4853L27.1519 16.9427C27.6733 16.4213 27.6733 15.5773 27.1519 15.0573L19.6093 7.51466C19.0879 6.99332 18.2439 6.99332 17.7239 7.51466L17.6093 7.62932C17.0879 8.15066 17.0879 8.99466 17.6093 9.51466L24.0946 16Z"
                      fill="white"
                    />
                    <path
                      d="M25.3333 14.6666H5.33333C4.59733 14.6666 4 15.264 4 16C4 16.736 4.59733 17.3333 5.33333 17.3333H25.3333V14.6666Z"
                      fill="white"
                    />
                  </svg>
                </h2>
              </nuxt-link>
            </div>
          </div>
        </div>
      </div>
      <div class="container-fluid">
        <!--        <slider-portfolio/>-->
        <slider-simple/>
      </div>
    </section>
    <section class="services">
      <div class="container">
        <div class="row">
          <div class="col-12 d-flex justify-content-between">
            <div v-if="$i18n.locale === 'ru'">
              <img src="@/static/assets/images/services.svg" class="img-fluid" alt="">
            </div>
            <div v-if="$i18n.locale === 'uz'">
              <img src="@/static/assets/images/servicesUZ.svg" class="img-fluid" alt="">
            </div>
            <div v-if="$i18n.locale === 'eng'">
              <img src="@/static/assets/images/servicesENG.svg" class="img-fluid" alt="">
            </div>
            <div>
              <!--              <nuxt-link :to="localePath('/services')">-->
              <!--                &lt;!&ndash;                <h2 class="more">&ndash;&gt;-->
              <!--                &lt;!&ndash;                  {{$t("all_services")}}&nbsp;&ndash;&gt;-->
              <!--                &lt;!&ndash;                  <svg&ndash;&gt;-->
              <!--                &lt;!&ndash;                    width="32"&ndash;&gt;-->
              <!--                &lt;!&ndash;                    height="32"&ndash;&gt;-->
              <!--                &lt;!&ndash;                    viewBox="0 0 32 32"&ndash;&gt;-->
              <!--                &lt;!&ndash;                    fill="none"&ndash;&gt;-->
              <!--                &lt;!&ndash;                    xmlns="http://www.w3.org/2000/svg"&ndash;&gt;-->
              <!--                &lt;!&ndash;                  >&ndash;&gt;-->
              <!--                &lt;!&ndash;                    <path&ndash;&gt;-->
              <!--                &lt;!&ndash;                      d="M24.0946 16L17.6093 22.4853C17.0879 23.0067 17.0879 23.8507 17.6093 24.3707L17.7239 24.4853C18.2453 25.0067 19.0893 25.0067 19.6093 24.4853L27.1519 16.9427C27.6733 16.4213 27.6733 15.5773 27.1519 15.0573L19.6093 7.51466C19.0879 6.99332 18.2439 6.99332 17.7239 7.51466L17.6093 7.62932C17.0879 8.15066 17.0879 8.99466 17.6093 9.51466L24.0946 16Z"&ndash;&gt;-->
              <!--                &lt;!&ndash;                      fill="white"&ndash;&gt;-->
              <!--                &lt;!&ndash;                    />&ndash;&gt;-->
              <!--                &lt;!&ndash;                    <path&ndash;&gt;-->
              <!--                &lt;!&ndash;                      d="M25.3333 14.6666H5.33333C4.59733 14.6666 4 15.264 4 16C4 16.736 4.59733 17.3333 5.33333 17.3333H25.3333V14.6666Z"&ndash;&gt;-->
              <!--                &lt;!&ndash;                      fill="white"&ndash;&gt;-->
              <!--                &lt;!&ndash;                    />&ndash;&gt;-->
              <!--                &lt;!&ndash;                  </svg>&ndash;&gt;-->
              <!--                &lt;!&ndash;                </h2>&ndash;&gt;-->
              <!--              </nuxt-link>-->
            </div>
          </div>
        </div>
      </div>
      <div class="container">
        <div class="row">
          <div class="offset-1"></div>
          <div class="col-10">
            <services-accordion

            />

          </div>
        </div>
      </div>
    </section>
    <section class="team">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <nuxt-link :to="localePath('/team')">
              <div v-if="$i18n.locale === 'ru'">
                <img src="@/static/assets/images/team.svg" class="img-fluid" alt="">
              </div>
              <div v-if="$i18n.locale === 'uz'">
                <img src="@/static/assets/images/teamUZ.svg" class="img-fluid" alt="">
              </div>
              <div v-if="$i18n.locale === 'eng'">
                <img src="@/static/assets/images/teamENG.svg" class="img-fluid" alt="">
              </div>
            </nuxt-link>
          </div>
        </div>
        <div class="row align-items-center">
          <div class="col-12 col-md-5">
            <p class="text text-left" v-html="$t('team_description')">
            </p>
          </div>
          <div class="offset-md-1"></div>
          <div class="col-12 col-md-6 half-page-slider">
            <div class="container">
              <half-slider/>

            </div>
          </div>
        </div>
      </div>
    </section>
    <buttons/>
  </div>
</template>

<script>
import buttons from "~/components/buttons";
import sliderPartners from "~/components/sliderPartners";
import sliderPortfolio from '@/components/sliderPortfolio';
import servicesAccordion from '@/components/servicesAccordion';
import halfSlider from '@/components/halfSlider';
import counter from '@/components/counter';
import VideoBackground from 'vue-responsive-video-background-player'
import sliderSimple from "~/components/sliderSimple";

export default {
  name: "main",
  components: {
    VideoBackground,
    buttons,
    sliderPartners,
    sliderPortfolio,
    servicesAccordion,
    halfSlider,
    counter,
    sliderSimple
  },
  data() {
    return {

    }
  }
}


</script>

};


<style>
.back-Text{
  background-color: #141414;
  z-index: 99999;
  padding: 37px;

}
.home-page__video {
z-index: -1;
}

body {
  color: white;
  background: #141414 !important;
  font-family: "Montserrat";

}


.home_page h1 {
  font-style: normal;
  font-weight: bold;
  font-size: 66px;
  line-height: 150% !important;
  color: #FFFFFF;
  margin-top: 361px;
  margin-bottom: 100px;
}

.home_page h3 {
  font-style: normal;
  font-weight: bold;
  font-size: 24px;
  line-height: 150%;
  color: #FFFFFF;
  opacity: 0.8;
}


.half-page-slider {
  width: 150%;
}

.home_page {
  height: 100vh;
  /*background-image: url(~assets/../static/assets/images/home.png);*/
  background-repeat: no-repeat;
  background-size: cover;
}

a h2 {
  font-style: normal;
  font-weight: 800;
  font-size: 32px;
  line-height: 39px;
  color: #ffffff;
  transition: all 0.4s;

}

a h2:hover {
  text-decoration: none;
  color: #811b7f;
}

a h2:hover svg path {
  fill: #811b7f;
  transition: all 0.4s;

}

a h2:hover svg path {
  fill: #811b7f;
  stroke: #811b7f;

}

a:hover {
  text-decoration: none;

}

.about {
  color: #ffffff;
  padding-top: 100px!important;
}

.portfolio {
  padding-top: 0;
  transition: all 0.4s;
}

.services {
  padding-top: 64px;
}

.services .more {
  margin-bottom: 87px;
}

.team {
  padding-top: 126px;
}

h1 {
  font-style: normal;
  font-weight: 800;
  font-size: 96px;
  line-height: 117px;
  margin-top: 134px;
  margin-bottom: 64px;
}

.about p {
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 155.9%;
  text-align: justify;
  color: #ffffff;
  opacity: 0.5;
  margin-bottom: 64px;
}

.about img {
  margin-top: 26px;
}

/*.number_of_projects {*/
/*  background: #1d1d1d;*/
/*  padding-top: 64px;*/
/*  padding-bottom: 64px;*/
/*}*/

.number_of_projects h2 {
  font-style: normal;
  font-weight: 800;
  font-size: 66px;
  line-height: 80px;
  color: #ffffff;
  text-shadow: 0 4px 34px rgba(0, 0, 0, 0.65);
}

.number_of_projects h6 {
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 155.9%;
  text-align: center;
  color: #ffffff;
  opacity: 0.8;
  margin-bottom: 64px;
}


.more {
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  text-align: right;
  color: #ffffff;
  margin-top: 25px;
}

/*.line {*/
/*  width: 180px;*/
/*  height: 6px;*/
/*  background: #811b7f;*/
/*  border-radius: 4px;*/
/*}*/

.team p {
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 155.9%;
  text-align: justify;
  color: #ffffff;
  opacity: 0.5;
  margin-top: 76px;
}

@media screen and (max-width: 1200px) {
  .home_page {
    height: 80vh;
  }

  .home_page h1 {
    font-size: 56px;
    margin-top: 20%;
    margin-bottom: 22px;
  }

  .home_page h3 {
    font-size: 20px;
  }

  .number_of_projects h6 {
    font-size: 20px;
  }

}

@media screen and (max-width: 991px) {

  .why_us {
    font-size: 60px !important;
  }

  .home_page {
    height: 70vh;
  }

  .home_page h1 {
    font-size: 46px;
    margin-top: 22%;
    margin-bottom: 35px;
  }

  .home_page h3 {
    font-size: 18px;
  }

  .more {
    margin-top: 15px;
  }


  .number_of_projects h6 {
    font-size: 16px;
  }

  .about h1 {
    font-size: 75px;
  }

  .about img {
    margin-top: 50px;
  }

  .text {
    font-size: 15px !important;
  }
}

@media screen and (max-width: 767px) {

  .why_us {
    font-size: 45px !important;
  }

  .home_page {
    height: 50vh;
  }

  .home_page h1 {
    font-size: 40px;
    margin-top: 23%;
    margin-bottom: 20px;
  }

  .home_page h3 {
    font-size: 14px;
  }

  .more {
    margin-top: 15px;
  }


  .number_of_projects h6 {
    font-size: 16px;
  }

  .about h1 {
    margin-top: 20px;
    font-size: 65px;
  }

  .about img {
    margin-top: 20px;
  }

  p {
    font-size: 19px;
  }
}

@media screen and (max-width: 576px) {
  .why_us {
    font-size: 25px !important;
  }

  .home_page h1 {
    font-size: 28px;
    line-height: 35px;
    margin-top: 250px;
    margin-bottom: 10px;
  }

  .home_page h3 {
    font-size: 9px;
  }

  .home_page {
    height: 40vh;
  }

  .about h1 {
    font-size: 40px !important;
  }

  .about_logo {
    display: none !important;
  }

  .number_of_projects h2 {
    font-size: 40px;
  }

  .number_of_projects h6 {
    font-size: 10px;
    margin-top: -30px;
  }

  /*.home_page .simple {*/
  /*  font-size: 30px !important;*/
  /*}*/
  .home_page h1 {
    margin-top: 70px;
  }

  .more {
    display: none;
  }

  .about h2 {
    font-size: 25px;
  }

  .portfolio h2 {
    font-size: 9px;
  }

  svg {
    width: 44px;
    height: 44px;
  }

  .home_page .typewriter a {
    font-size: 30px;
    margin-right: -50px;
  }
}

.home-page__video {
  position: absolute;
  top: 80px;
  width: 100%;
  height: 100%;
}
@media screen and (max-width: 576px) {
  .home_page h1 {
    margin-top: 80px;
  }
}
</style>
